from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='mkdocs-directory-meta-info-plugin',
    version='0.0.1',
    description='MkDocs plugin can indicate meta info for directory.',
    long_description=long_description,
    keywords='mkdocs',
    url='https://github.com/kiyokiku/mkdocs-directory-meta-info-plugin',
    author='Kikuchi Kiyotaka',
    author_email='kikuchi@hegemony.jp',
    license='MIT',
    python_requires='>=3.0',
    install_requires=[
        'mkdocs>=1.1.0'
    ],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3 :: Only',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7'
    ],
    packages=find_packages(),
    entry_points={
        'mkdocs.plugins': [
            'directory-meta-info = mkdocs_directory_meta_info_plugin.plugin:DirectoryMetaInfoPlugin'
        ]
    }
)
